<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class StaffMember extends Model
{
    protected $guarded = array('id');
    public $table = "staff_members";

    public function department_info(){
        return $this->hasOne('App\Models\Department', 'id', 'department_id');
    }
    public function created_by_info(){
      return $this->hasOne('App\Models\Account', 'id', 'created_by');
    }
    public function modified_by_info(){
      return $this->hasOne('App\Models\Account', 'id', 'modified_by');
    }
}
